Subject: bug#65854: Multi-file replacement diff

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Sep 2023 10:25:24 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 22 Sep 2023 09:55:40 +0300
> 
> +(defcustom multi-file-diff-unsaved 'save-buffers
> +  "What to do with unsaved edits when showing multi-file replacements as diffs.
> +If the value is `save-buffers', save unsaved buffers before creating diff.
> +If the value is `use-file', use text from the file even when the visiting
> +file buffer is modified.
> +If the value is `use-modified-buffer', use text from the file-visiting
> +modified buffer to be able to use unsaved changes.  However, when the file
> +is not visited in a buffer, or the buffer is not modified, still read
> +contents from the file."

Please use consistent wording to describe the same entities.  If you
use "file-visiting buffer", use it everywhere, when you sometimes use
that and sometimes "visiting file buffer", you are already half way to
confusing the reader.

Also, this part:

> +                                                    However, when the file
> +is not visited in a buffer, or the buffer is not modified, still read
> +contents from the file."

Seems to describe an implementation detail, and I don't think it
should be there.  E.g., what if the file visited by the buffer no
longer exists?

Thanks.